
Application: gvSIG desktop - gvSIG bugs #1511
Problems tiling raster layers
12/24/2012 01:59 PM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.0.0-rc4
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

When the raster has geographic coordinates and the zoom level is high then throws this exception

Exception in thread "Timer-0" java.lang.OutOfMemoryError: Java heap space
    at sun.nio.cs.UTF_8.newEncoder(UTF_8.java:71)
    at java.lang.StringCoding$StringEncoder.<init>(StringCoding.java:233)
    at java.lang.StringCoding$StringEncoder.<init>(StringCoding.java:225)
    at java.lang.StringCoding.encode(StringCoding.java:284)
    at java.lang.String.getBytes(String.java:954)
    at java.io.UnixFileSystem.canonicalize0(Native Method)
    at java.io.UnixFileSystem.canonicalize(UnixFileSystem.java:172)
    at java.io.File.getCanonicalPath(File.java:576)
    at
java.util.prefs.FileSystemPreferences.lockFile(FileSystemPreferences.java:902)
    at
java.util.prefs.FileSystemPreferences.sync(FileSystemPreferences.java:731)
    at
java.util.prefs.FileSystemPreferences.flush(FileSystemPreferences.java:824)
    at
java.util.prefs.FileSystemPreferences.syncWorld(FileSystemPreferences.java:468)
    at
java.util.prefs.FileSystemPreferences.access$1200(FileSystemPreferences.java:50)
    at
java.util.prefs.FileSystemPreferences$4.run(FileSystemPreferences.java:436)
    at java.util.TimerThread.mainLoop(Timer.java:534)
    at java.util.TimerThread.run(Timer.java:484)
java.lang.OutOfMemoryError: Java heap space
    at java.util.HashMap.<init>(HashMap.java:226)
    at org.gvsig.raster.cache.tile.impl.TileImpl.<init>(TileImpl.java:59)
    at
org.gvsig.raster.cache.tile.impl.provider.DefaultCacheStruct.getTileList(DefaultCacheStruct.java:400)
    at
org.gvsig.raster.tilecache.io.TileProvider.getTileList(TileProvider.java:666)
    at
org.gvsig.raster.tilecache.io.TileProvider.getWindow(TileProvider.java:748)
    at
org.gvsig.raster.impl.provider.DefaultRasterProvider.getDataSet(DefaultRasterProvider.java:392)
    at
org.gvsig.raster.impl.store.DefaultRasterStore.getWindowTiled(DefaultRasterStore.java:506)
    at
org.gvsig.raster.impl.store.AbstractRasterDataStore.queryArray(AbstractRasterDataStore.java:204)
    at
org.gvsig.raster.impl.store.AbstractRasterDataStore.query(AbstractRasterDataStore.java:137)
    at
org.gvsig.raster.impl.grid.render.DefaultRender.drawTiledService(DefaultRender.java:352)
    at
org.gvsig.raster.fmap.layers.DefaultFLyrRaster.draw(DefaultFLyrRaster.java:661)
    at
org.gvsig.raster.fmap.layers.DefaultFLyrRaster.draw(DefaultFLyrRaster.java:614)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:516)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:497)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:436)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:114)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1086)
    at
org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1353)
    at
org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1573)
    at java.lang.Thread.run(Thread.java:636)
24-dic-2012 12:13:10 sun.awt.X11.XToolkit processException
ADVERTENCIA: Exception on Toolkit thread
java.lang.OutOfMemoryError: GC overhead limit exceeded
ERROR [MapControl Drawer Worker] (NotificationManager.java:107) - Java
heap space
java.lang.OutOfMemoryError: Java heap space
    at java.util.HashMap.<init>(HashMap.java:226)
    at org.gvsig.raster.cache.tile.impl.TileImpl.<init>(TileImpl.java:59)
    at
org.gvsig.raster.cache.tile.impl.provider.DefaultCacheStruct.getTileList(DefaultCacheStruct.java:400)
    at
org.gvsig.raster.tilecache.io.TileProvider.getTileList(TileProvider.java:666)
    at
org.gvsig.raster.tilecache.io.TileProvider.getWindow(TileProvider.java:748)
    at
org.gvsig.raster.impl.provider.DefaultRasterProvider.getDataSet(DefaultRasterProvider.java:392)
    at
org.gvsig.raster.impl.store.DefaultRasterStore.getWindowTiled(DefaultRasterStore.java:506)
    at
org.gvsig.raster.impl.store.AbstractRasterDataStore.queryArray(AbstractRasterDataStore.java:204)
    at
org.gvsig.raster.impl.store.AbstractRasterDataStore.query(AbstractRasterDataStore.java:137)
    at
org.gvsig.raster.impl.grid.render.DefaultRender.drawTiledService(DefaultRender.java:352)
    at
org.gvsig.raster.fmap.layers.DefaultFLyrRaster.draw(DefaultFLyrRaster.java:661)
    at
org.gvsig.raster.fmap.layers.DefaultFLyrRaster.draw(DefaultFLyrRaster.java:614)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:516)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:497)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:436)
    at
org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:114)
    at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1086)
    at
org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1353)
    at
org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1573)
    at java.lang.Thread.run(Thread.java:636)

History
#1 - 12/24/2012 02:03 PM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-raster:r1397

#2 - 01/11/2013 10:42 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-final to 2.0.0-rc4

#3 - 02/26/2014 12:34 PM - Álvaro Anguix
- Status changed from Fixed to Closed

05/17/2024 3/3


